# $Id: bluefish.spec,v 1.7 2003/08/03 20:30:45 dude Exp $

%define desktop_vendor freshrpms

# Comment out when building a release
#define date    2003-01-13
#define reldate 20030113

Summary: A GTK2 web development application for experienced users.
Name: bluefish
Version: 0.11
Release: %{?reldate:0.%{reldate}.}1.fr
Group: Development/Tools
License: GPL
URL: http://bluefish.openoffice.nl/
%if %{?date:1}%{!?date:0}
Source: no more snapshots are made
%else
Source: http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
%endif
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= 2.0.6, pcre >= 3.9
BuildRequires: gtk2-devel >= 2.0.6, pcre-devel >= 3.9
BuildRequires: desktop-file-utils, perl

%description
Bluefish is a GTK+ HTML editor for the experienced web designer or
programmer. It is not finished yet, but already a very powerful site
creating environment. Bluefish has extended support for programming
dynamic and interactive websites, there is for example a lot of PHP
support.

%prep
%if %{?date:1}%{!?date:0}
%setup -q -n something else
%else
%setup -q
%endif

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
# This directory needs to be detected by make install
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
%makeinstall \
    pkgdatadir=%{buildroot}%{_datadir}/%{name} \
    iconpath=%{buildroot}%{_datadir}/pixmaps \
    gnome2menupath=%{buildroot}%{_datadir}/applications/ \
    gnome1menupath=we_do_not_want_this_one
%find_lang %{name}

# Remove that ugly added path...
perl -pi -e 's|%{buildroot}||g' %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING
%{_bindir}/bluefish
%{_datadir}/bluefish
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}-icon.png

%changelog
* Sun Aug  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.

* Thu Jul 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.10.
- Spec file cleanup... still ugly workarounds for the problematic Makefiles.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Tue Feb 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.
- Added Makefile patch to support DESTDIR.

* Wed Jan 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest snapshot which should be more stable.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.
- Major spec file updates based on the one from Matthias Haase.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Nov 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.
- Spec file simplifications since the build is now cleaner :-)

* Wed May  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Added a GNOME desktop entry.
- Compiled with kgcc and reported the problems encountered with gcc 2.96.

* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig

* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)

* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5

* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up

